> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Team Member



## OpenAPI

````yaml /openapi.json patch /v1/teams/{team_id}/members/{membership_id}
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/teams/{team_id}/members/{membership_id}:
    patch:
      tags:
        - Teams
      summary: Update Team Member
      operationId: update_team_member_v1_teams__team_id__members__membership_id__patch
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            format: uuid
            title: Team Id
            type: string
        - in: path
          name: membership_id
          required: true
          schema:
            format: uuid
            title: Membership Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamMembershipUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamMemberResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    TeamMembershipUpdateRequest:
      properties:
        can_access_experiments:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can Access Experiments
        can_export_data:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can Export Data
        can_manage_billing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can Manage Billing
        can_manage_experiments:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can Manage Experiments
        can_manage_members:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can Manage Members
        can_manage_sessions:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can Manage Sessions
        can_view_private_votes:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can View Private Votes
        can_vote:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Can Vote
        role:
          anyOf:
            - $ref: '#/components/schemas/TeamRole'
            - type: 'null'
      title: TeamMembershipUpdateRequest
      type: object
    TeamMemberResponse:
      properties:
        can_access_experiments:
          title: Can Access Experiments
          type: boolean
        can_export_data:
          title: Can Export Data
          type: boolean
        can_manage_billing:
          title: Can Manage Billing
          type: boolean
        can_manage_experiments:
          title: Can Manage Experiments
          type: boolean
        can_manage_members:
          title: Can Manage Members
          type: boolean
        can_manage_sessions:
          title: Can Manage Sessions
          type: boolean
        can_view_private_votes:
          title: Can View Private Votes
          type: boolean
        can_vote:
          title: Can Vote
          type: boolean
        capabilities:
          additionalProperties:
            type: boolean
          title: Capabilities
          type: object
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        is_owner:
          default: false
          title: Is Owner
          type: boolean
        membership_id:
          format: uuid
          title: Membership Id
          type: string
        role:
          $ref: '#/components/schemas/TeamRole'
        team_id:
          format: uuid
          title: Team Id
          type: string
        user_id:
          format: uuid
          title: User Id
          type: string
        username:
          title: Username
          type: string
      required:
        - membership_id
        - team_id
        - user_id
        - username
        - role
        - can_access_experiments
        - can_vote
        - can_manage_members
        - can_manage_experiments
        - can_manage_sessions
        - can_export_data
        - can_view_private_votes
        - can_manage_billing
        - created_at
      title: TeamMemberResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TeamRole:
      enum:
        - owner
        - admin
        - builder
        - analyst
        - evaluator
      title: TeamRole
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````